Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

# Class MutlipleMethodsCircuitBreakerLifecycleService

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.MutlipleMethodsCircuitBreakerLifecycleService

@Dependent @CircuitBreaker(requestVolumeThreshold=8) public class MutlipleMethodsCircuitBreakerLifecycleService extends Object

## Constructor Summary

Constructors
Constructor
Description
`MutlipleMethodsCircuitBreakerLifecycleService()`

## Method Summary

Modifier and Type
Method
Description
`void`
`service1()`
`void`
`service2()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MutlipleMethodsCircuitBreakerLifecycleService

public MutlipleMethodsCircuitBreakerLifecycleService()

## Method Details

### service1

public void service1() throws IOException

Throws:
  `IOException`

### service2

public void service2() throws IOException

Throws:
  `IOException`